import request from '@/utils/request'
// 获取接入反馈列表
export function getTabAccessFeedbackList (query) {
  return request({
    url: '/web/tab-access-feedback/getTabAccessFeedbackList',
    method: 'get',
    params: query
  })
}

// 添加接入基本准备
export function addFirstStepTabAccessReady (data) {
  return request({
    url: '/web/tab-access-ready/insertTabAccessReady',
    method: 'post',
    data: data
  })
}

export function updateFirstStepTabAccessReadyById (data) {
  return request({
    url: '/web/tab-access-ready/updateTabAccessReadyById',
    method: 'post',
    data: data
  })
}


export function delFirstStepTabAccessReady (id) {
  return request({
    url: `/web/tab-access-ready/falseDeleteTabAccessAndReadyById/${id}`,
    method: 'post',
  })
}


// 第二步
export function delSecondStepTabAccessReady (id) {
  return request({
    url: `/web/tab-access-feedback/falseDeleteTabAccessFeedbackById/${id}`,
    method: 'post',
  })
}

export function addSecondStepTabAccessReady (data) {
  return request({
    url: `/web/tab-access-feedback/insertTabAccessFeedback`,
    method: 'post',
    data: data
  })
}


// 第三步
export function addThirdStepTabAccessReady (data) {
  return request({
    url: `/web/tab-datasource-msg/insertDataSun`,
    method: 'post',
    data: data
  })
}

export function delThirdStepTabAccessReady (id) {
  return request({
    url: `/web/tab-datasource-msg/deleteDataSun/${id}`,
    method: 'post',
  })
}